Skip to main content
GET
Retrieve business hours exception

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

pk
integer
required

A unique integer value identifying this Business hours exception.

organization_id
string
required
Pattern: ^[-a-zA-Z0-9_]+$

Response

200 - application/json

One date that replaces that weekday. Both times null means closed.

Set both opens_at and closes_at for one custom range, or leave both null. Times may be HH:MM or HH:MM:SS. A close earlier than the open continues overnight. This is not the weekly_hours object.

id
integer
required
read-only
date
string<date>
required

Calendar date, YYYY-MM-DD.

name
string

Label for this date. May be empty.

Maximum string length: 64
repeats_yearly
boolean

Repeat this month and day every year. February 29 repeats on leap years.

opens_at
string<time> | null

24-hour time as HH:MM or HH:MM:SS. Null together with closes_at means the date is closed.

closes_at
string<time> | null

24-hour time as HH:MM or HH:MM:SS. Earlier than opens_at continues overnight. Null together with opens_at means the date is closed.